Subject: [ANNOUNCE] Host Fabric Interface (HFI) device driver available on sourceforge

From: Jim Dykman <[email-masked]>
Date: Sat, 30 Oct 2010 23:10:27 -0400

The HFI network interface is the internal cluster fabric of IBM's PERCS 
supercomputer. The device driver patch for 2.6.36, hfi-utils, and an 
introduction to the hardware are available on the sourceforge page 
(http://sourceforge.net/projects/hfidevicedriver). The hardware design 
is under US export control, so we cannot release hardware specs.

The HFI device driver allows direct user-space access to network 
resources; a reference library will be uploaded to 
http://sourceforge.net/projects/halreferencelib in the next few days.

The driver has been running in the lab for several months. The 
user-space access is essentially complete. We are still working on IPv6, 
and we are now starting work on an ofed-over-hfi driver, but we'd like 
to start the review process without them.

Jim Dykman